%{?nodejs_find_provides_and_requires}

%global packagename user-home

# tests disabled due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-user-home
Version:	2.0.0
Release:	1%{?dist}
Summary:	Get the path to the user home directory

License:	MIT
URL:		https://github.com/sindresorhus/user-home
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/user-home/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(os-homedir)

%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Get the path to the user home directory


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Jul 23 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
